/**
 * AnotherClassForTestingTracing.java
 * 
 * Time-stamp: <2004-10-07 15:16:17 ftaiani>
 * @author Francois Taiani   <f.taiani@computer.org>
 * $Id: AnotherClassForTestingTracing.java,v 1.2 2004/10/07 19:33:23 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.extractor.test ;

/** ***************************************************************
 * @author Francois Taiani   <f.taiani@computer.org>
 */
public class AnotherClassForTestingTracing extends AbstractGuineaPig {

    public void myStartIsHere() {
        try{
            foo() ;
        } catch(RuntimeException e) {}
        foo2();
    }
    public void foo() {
        System.out.println("System.out.println in AnotherClassForTestingTracing.foo");
        System.err.println("System.err.println in AnotherClassForTestingTracing.foo");
        new OtherClass().foo();
    }

    public void foo2() {
        System.out.println("System.out.println in AnotherClassForTestingTracing.foo2");
        System.err.println("System.err.println in AnotherClassForTestingTracing.foo2");
        try{
            throw new RuntimeException("Just for fun") ;
        } catch (RuntimeException e) {
        }
    }

} // EndClass AnotherClassForTestingTracing

class OtherClass {

    public OtherClass() {
    } // EndConstructor OtherClass

    public void foo() {
        System.out.println("System.out.println in OtherClass.foo");
        System.err.println("System.err.println in OtherClass.foo");
        throw new RuntimeException("Artificial Exception") ;
    }

} // EndClass OtherClass
